Subject: Re: bug#64652: 28.2; Adding a property bug on Windows 11

From: Senki Jun <[email-masked]>
Date: Sun, 16 Jul 2023 09:16:35 +0300

Ah okay sorry, here is what I do.

Property Bug:

1) Emacs -Q.

2) I create an org file   (C-x C-f   test.org)

3) Write anything. (I create a heading with todo in the example but it's
optional)

4) Add a Property to the text by  (C-c C-x p)

5) Select any property (effort, category, location etc. anything)

6) Enter any value to any property.(I enter 1h to the Effort property in
the example)

Pressing enter gives the error.

Clock Report Bug:

1) Emacs -Q

2) C-x C-f  test2.org

3) Create a TODO heading  * TODO task

4) Clock in with  C-c C-x i

5) Clock out with C-c C-x o

6) M-x org-clock-report gives an error "Not at a dynamic block" instead of
creating the clock report table.

Same steps doesn't give any errors on linux or windows 10 (or wsl2) and it
just adds the property and clock report table.

On Sun, Jul 16, 2023 at 8:59 AM Ihor Radchenko <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> > (Frankly, I have hard time believing there could be Windows-specific
> > bugs in handling properties and regexp search, which is why I thought
> > the Org developers should look at this first, and explain what core
> > feature seemingly fails in these cases.  But if Ihor thinks it's
> > definitely a core bug,, I cannot do anything with these reports
> > without a complete recipe starting from "emacs -Q".)
>
> I suspect some problem with point mark position when inserting at point
> inside `save-excursion'. At least, that's what I can imagine being
> failing without doing testing myself (I have no access to Windows).
>
> --
> Ihor Radchenko // yantar92,
> Org mode contributor,
> Learn more about Org mode at <https://orgmode.org/>.
> Support Org development at <https://liberapay.com/org-mode>,
> or support my work at <https://liberapay.com/yantar92>
>